<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Secret Sharing Scheme TEST</title>
  </head>
    <body>
    <script src="ex2.js"></script>
    <p><strong>Процесс разделения секрета</strong></p>
    <p>Введите значение ключа:</p>
    <textarea name="secret" id="secret"></textarea>

    <p>Выберите значение порога t:</p>
    <input type="number" name="t" id="t"/>

    <p>Выберите количество генерируемых частей ключа n:</p>
    <input type="number" name="n" id="n"/>
      
    <button onclick="outputsplit()">Разделить ключ</button>
    
    <p id='output2'></p>
    
    <p><strong>Процесс сборки секрета</strong></p>
    <p>Через пробел укажите случайно выбранные части ключа для сборки:</p>
    <textarea name="shares" id="shares"></textarea>
    
    <button onclick="splitcombine()">Собрать ключ</button>
    
    <p id='output2'></p>

    <script type="text/javascript">
    
    function splitcombine(){
    	var shares = document.getElementById('shares').value;
    	var content = Module.ccall('secretcombining', 'null', ['string'], [shares]);
    }
    
    function outputsplit(){
    	var secretstr = document.getElementById('secret').value;
    	var t = document.getElementById('t').value;
    	var n = document.getElementById('n').value;
    
    	var content = Module.ccall('secretsplit', 'null', ['string','number','number'], [secretstr, parseInt(n), parseInt(t), secretstr]);
	    
    }
    </script>
    
  </body>
</html>
